TitleWikiTagBase version problem
Date08-Apr-2005 10:06:27 EEST
Version2.1.162 and 2.1.144
Submitter203.32.193.21
Bug criticalityNotABug
Browser version
Bug statusClosedBug
PageProvider used
Servlet Container
Operating SystemIBM OS/400
URL
Java version1.3

Having installed the WAR file for either version of the JSPWiki, I get the following compiler error message at activation:

Generated servlet error: javac Compiling 1 source file

/jakarta-tomcat-4.1.3/work/Standalone/localhost/JSPWiki/Wiki_jsp.java:9: cannot access com.ecyrd.jspwiki.tags.WikiTagBase bad class file: /jakarta-tomcat-4.1.3/webapps/JSPWiki/WEB-INF/lib/JSPWiki.jar(com/ecyrd/jspwiki/tags/WikiTagBase.class) class file has wrong version 48.0, should be 47.0 Please remove or make sure it appears in the correct subdirectory of the classpath. import com.ecyrd.jspwiki.tags.WikiTagBase;

I suspect this is likely a compatibility issue with either the Tomcat release or the compiler provided by IBM. Anyone seen/resolved this one?


JSPWiki 2.1.x requires JDK 1.4.

-- JanneJalkanen

Add new attachment

Only authorized users are allowed to upload new attachments.
« This page (revision-2) was last changed on 11-Apr-2005 00:19 by JanneJalkanen